Having trouble with retal games

Discussion in 'Wii - Hacking' started by h8uthemost, Jul 3, 2009.

Jul 3, 2009
  1. h8uthemost
    OP

    Member h8uthemost GBAtemp Advanced Fan

    Joined:
    Dec 7, 2006
    Messages:
    688
    Country:
    United States
    Hey guys,

    I've been having trouble with certain retail Wii games. When I pop in certain ones into the Wii, they won't actually load, they just hang at a black screen. The games I've came across so far that does this are Madworld, Mario Kart, and Klonoa. There's probably others too, but these are the only ones that I've tried. All my other games work just fine.

    Now, I think this problem started a couple months ago with I installed the back up launcher. I downloaded the package from here and installed it:

    http://wiki.gbatemp.net/wiki/index.php/Backup_Launcher

    So perhaps I have an outdated ios(think that's what it's called)?

    Would anyone happen to know what the problem could be, and how I could fix this? And again, these are actual bought, retail games. Not ISO's downloaded and burned.

    Thanks for any help. I'll really appreciate it.
     
  2. supermodchips

    Member supermodchips GBAtemp Regular

    Joined:
    May 24, 2009
    Messages:
    291
    Country:
    Australia
    I can understand Madowrld and Klonoa not working but Mario Kart is puzzling. What is the latest firmware you have installed?
     
  3. h8uthemost
    OP

    Member h8uthemost GBAtemp Advanced Fan

    Joined:
    Dec 7, 2006
    Messages:
    688
    Country:
    United States
    3.2U. It's an NTSC console.

    Thanks for the reply.

    EDIT: Now I posted this somewhere else, and someone said I needed these IOS's:

    IOS38-64-v3609.wad
    IOS53-64-v4113.wad
    IOS55-64-v4633.wad

    But these are the IOS's from Madworld. Will these fix the black screen problems with Klonoa and Mario Kart too? Or would a simple system upgrade fix all my trouble? I've kept it on 3.2U because six months or so ago I read this is the system firmware to have if you receive a brick. That 3.2U is the easiest to recover a brick from. But with BootMii available now, does it really matter what system firmware I'm on?

    EDIT: Well, actually installing those Madworld IOS's made Klonoa run. [​IMG] I don't have Madworld or Mario Kart here right now to try those. But I'm guessing if the Madworld IOS's made Klonoa run, then Madworld and Mario Kart should run too.
     
  4. supermodchips

    Member supermodchips GBAtemp Regular

    Joined:
    May 24, 2009
    Messages:
    291
    Country:
    Australia
    Well madworld uses the most up to date IOS out of the games that you wanted to play so if you installed them, that should fix any titles that were released around the same time and definately Mario Kart.
     
  5. h8uthemost
    OP

    Member h8uthemost GBAtemp Advanced Fan

    Joined:
    Dec 7, 2006
    Messages:
    688
    Country:
    United States
    Cool. Thank you for the info. I guess if I ever have this trouble again, then I'll just find out what game has the most up date IOS's, and install them.

    I do have one more question though. I haven't been the most up to date in the Wii homebrew scene the last couple months. And I think I read somewhere that you can now play Wiiware and VC .wads straight from the SD card. Is this true? And if so, how exactly is this done? I'm guessing some new app came out that can play the .wads straight from the sd card that I don't know about?
     
  6. supermodchips

    Member supermodchips GBAtemp Regular

    Joined:
    May 24, 2009
    Messages:
    291
    Country:
    Australia
    The only way to play wiiware and virtual console titles is to upgrade your firmware to 4.0U. If you follow one of the many guides on the website, you should not lose any functionality. It will also allow you to play the most up to date titles without having to install the new IOS's manually.
     
  7. h8uthemost
    OP

    Member h8uthemost GBAtemp Advanced Fan

    Joined:
    Dec 7, 2006
    Messages:
    688
    Country:
    United States
    Thank you for the answer supermodchips.

    Now, are there any dangers updating to 4.0? As I mentioned before I've stayed on 3.2 since a few months ago this was the only firmware that you could recover from a banner brick if you didn't have a modchip(which I don't). But I remember when I updated to the latest version of the homebrew channel, it gave an option to install bootmii. So if by the small chance I get a banner brick on 4.0, will I be able to recover, eventhough I don't have have a modchip?

    Thanks for the help.
     
  8. supermodchips

    Member supermodchips GBAtemp Regular

    Joined:
    May 24, 2009
    Messages:
    291
    Country:
    Australia
    If you install bootmii, fixing a banner brick will be a wlk in the park. You simply have to back up your NAND and if something goes wrong, just flash it back and you should get a fully functioning wii again. Bootmii is fully functional on most wiis, regardless of firmware. It is generally just the newer ones that are incompatable but considering that you have yours on 3.2U, there should be no issues at all. Just be aware that it adds an extra couple of seconds onto starting up if you are really impatient.
     
  9. BillandAlisha

    Member BillandAlisha GBAtemp Regular

    Joined:
    Dec 10, 2008
    Messages:
    185
    Location:
    Michigan
    Country:
    United States
    I hate to ask this but are you launching from a backup loader or the official Wii disc channel? Official games should be launched by the official disc channel.
     

Share This Page